# H245_NetworkAccessParameters_networkAddress Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_q2931Address, e_e164Address, e_localAreaAddress }

## Public Member Functions

| H245_NetworkAccessParameters_networkAddress (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_Q2931Address & ()
| operator const H245_Q2931Address & () const
| operator H245_TransportAddress & ()
| operator const H245_TransportAddress & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_NetworkAccessParameters_networkAddress::Choices

Enumerator:

  e_q2931Address |
  e_e164Address |
  e_localAreaAddress |

## Constructor & Destructor Documentation

H245_NetworkAccessParameters_networkAddress::H245_NetworkAccessParameters_networkAddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_NetworkAccessParameters_networkAddress::operator H245_Q2931Address & | ( |  | ) |

H245_NetworkAccessParameters_networkAddress::operator const H245_Q2931Address & | ( |  | ) | const

H245_NetworkAccessParameters_networkAddress::operator H245_TransportAddress & | ( |  | ) |

H245_NetworkAccessParameters_networkAddress::operator const H245_TransportAddress & | ( |  | ) | const

PBoolean H245_NetworkAccessParameters_networkAddress::CreateObject | ( |  | ) |

PObject* H245_NetworkAccessParameters_networkAddress::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h